Remoção do acesso ao Blackfire para Adobe Commerce na infraestrutura em nuvem

Em 11 de abril de 2020, o acesso gratuito ao monitoramento de desempenho do Blackfire não será mais incluído nas assinaturas de arquitetura de plano do Adobe Commerce na infraestrutura em nuvem Pro ou Adobe Commerce na infraestrutura em nuvem Starter.  Você não poderá mais fazer login em sua conta Blackfire. É possível continuar usando o Blackfire além de 11 de abril, comprando uma licença diretamente pelo Blackfire.io. Os comerciantes da Adobe Commerce que não tiverem comprado licenças diretamente do Blackfire até essa data terão suas licenças gratuitas do Blackfire fornecidas pelo Adobe desativadas. Além disso, a funcionalidade para criar novos relatórios usando a ferramenta Profiler será desativada. Ainda é possível que os clientes que usam a arquitetura Pro hospedada na infraestrutura em nuvem recebam monitoramento gratuito do desempenho da infraestrutura por meio do New Relic Infrastructure.

Se quiser continuar usando o Blackfire:

  1. Você deve adquirir uma licença diretamente com o Blackfire.
  2. Em seguida, configure o Blackfire usando esses etapas.
  3. Se tiver dificuldades com a instalação, você poderá enviar um tíquete de suporte para solicitar assistência. Para perguntas específicas sobre Blackfire, entre em contato com o suporte de Blackfire diretamente em support@blackfire.io.

Se você tiver erros ao executar uma implantação:

Se, ao executar uma implantação, você receber erros relacionados ao Blackfire, faça o seguinte:

  1. Remova o Blackfire da sua configuração. Edite o .magento.app.yaml arquivar e remover o Blackfire da seção de tempo de execução:

    code language-yaml
    ...
    # Enable extensions required by Magento 2
    runtime:
      extensions:
      - redis
      - xsl
      - json
      -**blackfire**
       - imap
    ...
    
  2. Conclua isso no ambiente de desenvolvimento local e envie para a nuvem.

Somente enviar um tíquete de suporte se você vir o seguinte erro depois de executar uma implantação:

Aviso do PHP: Inicialização do PHP: não é possível carregar a biblioteca dinâmica 'blackfire.so' (tentado: /usr/lib/php/20180731-zts/blackfire.so (https://experienceleague.adobe.com/usr/lib/php/20180731-zts/blackfire.so:%20n%C3%A3o%20%C3%A9%20poss%C3%ADvel%20abrir%20o%20arquivo%20de%20objeto%20compartilhado:%20esse%20arquivo%20ou%20diret%C3%B3rio%20n%C3%A3o%20existe?lang=pt-BR), /usr/lib/php/20180731-zts/blackfire.so.so (https://experienceleague.adobe.com/usr/lib/php/20180731-zts/blackfire.so.so:%20n%C3%A3o%20%C3%A9%20poss%C3%ADvel%20abrir%20o%20arquivo%20de%20objeto%20compartilhado:%20esse%20arquivo%20ou%20diret%C3%B3rio%20n%C3%A3o%20existe?lang=pt-BR) em Desconhecido na linha 0

Este erro significa que o plug-in do Blackfire deve ser atualizado e impedido de carregar.

Se quiser usar o New Relic Infrastructure:

Para saber como acessar o New Relic Infrastructure, consulte Acessar o New Relic em nossa base de conhecimento de suporte.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a